uk.gov.hmrc.payeestimator.domain

# TaxCalcResource

###
Related Doc: package domain

#### trait TaxCalcResource extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
TaxYear_2017_2018, TaxYear_2018_2019, TaxYear_2019_2020
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxCalcResource
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val emergencyTaxCode: String

2. #### abstract val endDate: LocalDate

3. #### abstract val isScottish: Boolean

4. #### abstract val nicRateLimits: NICRateLimits

5. #### abstract val startDate: LocalDate

6. #### abstract val taxBands: TaxBands

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def applicableForDate(date: LocalDate): Boolean

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### def findTaxBand(specialTaxCode: String): Option[Band]

11. #### def findTaxBand(i: Int): Option[Band]

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getPreviousTaxBand(band: Int): Option[Band]

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### lazy val rateType: String

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def taxYear: String

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped